import React from 'react';
import purebem from 'purebem';
import FoundationTableCellValue from './FoundationTableCellValue';
import './FoundationTableCellDualValue.scss';
export default function FoundationTableCellDualValue(_ref) {
  var columnName = _ref.columnName,
      _ref$subValue = _ref.subValue,
      subValue = _ref$subValue === void 0 ? null : _ref$subValue,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? [] : _ref$ui,
      value = _ref.value;
  var block = purebem('foundation-table-cell-dual-value');
  return React.createElement(FoundationTableCellValue, {
    columnName: columnName,
    ui: ui
  }, React.createElement("div", {
    className: block()
  }, React.createElement("div", {
    className: block('value')
  }, value), subValue !== null ? React.createElement("div", {
    className: block('sub-value')
  }, "(", subValue, ")") : null));
}
//# sourceMappingURL=FoundationTableCellDualValue.js.map