import React from 'react';
import purebem from 'purebem';
import { Link } from 'react-router';
import FoundationTableCell from './FoundationTableCell';
import './FoundationTableCellMainValue.scss';
export default function FoundationTableCellMainValue(_ref) {
  var children = _ref.children,
      columnName = _ref.columnName,
      to = _ref.to;
  var block = purebem('foundation-table-cell-main-value');
  return React.createElement(FoundationTableCell, {
    columnName: columnName
  }, React.createElement(Link // eslint-disable-next-line react/forbid-component-props
  , {
    className: block(),
    to: to
  }, children));
}
//# sourceMappingURL=FoundationTableCellMainValue.js.map