import React from 'react';
import purebem from 'purebem';
import './FoundationTableState.scss';
export default function FoundationTableState(_ref) {
  var _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$description = _ref.description,
      description = _ref$description === void 0 ? '' : _ref$description,
      title = _ref.title,
      _ref$ui = _ref.ui,
      ui = _ref$ui === void 0 ? 'empty' : _ref$ui;
  var block = purebem('foundation-table-state');
  return React.createElement("div", {
    className: block()
  }, React.createElement("div", {
    className: block('icon', {
      ui: ui
    })
  }), React.createElement("div", {
    className: block('title', {
      ui: ui
    })
  }, title), description !== '' ? React.createElement("div", {
    className: block('description', {
      ui: ui
    })
  }, description) : null, children !== null ? React.createElement("div", {
    className: block('content')
  }, children) : null);
}
//# sourceMappingURL=FoundationTableState.js.map