import React from 'react';
import purebem from 'purebem';
import './FoundationTableCell.scss';
export default function FoundationTableCell(_ref) {
  var children = _ref.children,
      columnName = _ref.columnName;
  var block = purebem('foundation-table-cell');
  return React.createElement("td", {
    className: block(),
    "data-table-column-name": columnName
  }, children);
}
//# sourceMappingURL=FoundationTableCell.js.map